Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • Developing with Sitecore Personalize
    • Base URL
    • Response codes
        • Create a connection
        • Retrieve connections
        • Retrieve a connection
        • Update a connection
        • Test a connection
  1. Connection REST API
  1. REST APIs
  2. Connection REST API
  3. Update a connection

Update a connection

PUT /v2/connections/<connectionRef>

Updates a connection.

Attribute

Type

Description

Example

connectionRef

string

The reference of the connection.

If you do not know the connection reference, first retrieve connections.

47c20b31-b5d8-492f-94e5-064958716c21

At a minimum, you must provide the following required attributes in the request body:

Attribute

Type

Description

Example

name

string

The name of the connection.

"Connect to Data System"

auth

array of objects

An array of authentication attributes to connect to the service.

"mys3cr3tstr1ingforauth1!x"

request

array of strings

An array of request attributes to connect to the service.

"mys3cr3tstr1ingforauth1!x"

systemType

string

The type of system you are connecting.

"DATA_SYSTEM"

Updating the connection name:

curl -X PUT '<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json' \
--data-raw '
{
    "name": "Connect to Data System",
    "auth": {
        "authType": "NONE"
    },
    "request": {
        "requestType": "POST",
        "connectionUrl": "https://example.com/api/1.0/messages/send.json",
        "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}"
    },
    "systemType": "DATA_SYSTEM"
}'
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21",
    "ref": "47c20b31-b5d8-492f-94e5-064958716c21",
    "name": "Connect to Data System",
    "modifiedByRef": "73fadb31-d0de-4ca8-848d-cef57ad78845",
    "modifiedAt":"2025-12-14T08:35:45.341Z",
    "archived": false,
    "auth": {
        "authType": "NONE"
    },
    "request": {
        "requestType": "POST",
        "connectionUrl": "https://example.com/api/1.0/messages/send.json",
        "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}"
    },
    "systemType": "DATA_SYSTEM",
    "connectionTimeout": 1000,
    "socketTimeout": 1000,
    "icon": "assets/images/icons/connections/plug.svg"
}
If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use